org.apache.http.impl.cookie

## Class BasicClientCookie2

- java.lang.Object
- - org.apache.http.impl.cookie.BasicClientCookie
  - - org.apache.http.impl.cookie.BasicClientCookie2

- All Implemented Interfaces:
    Serializable, Cloneable, ClientCookie, Cookie, SetCookie, SetCookie2

      public class BasicClientCookie2
      extends BasicClientCookie
      implements SetCookie2

  Default implementation of `SetCookie2`.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.cookie.ClientCookie

      `COMMENT_ATTR, COMMENTURL_ATTR, DISCARD_ATTR, DOMAIN_ATTR, EXPIRES_ATTR, MAX_AGE_ATTR, PATH_ATTR, PORT_ATTR, SECURE_ATTR, VERSION_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicClientCookie2(String name, String value)` Default Constructor taking a name and a value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `String` | `getCommentURL()` Returns null.
    `int[]` | `getPorts()` Returns null.
    `boolean` | `isExpired(Date date)` Returns true if this cookie has expired.
    `boolean` | `isPersistent()` Returns `false` if the cookie should be discarded at the end of the "session"; `true` otherwise.
    `void` | `setCommentURL(String commentURL)` If a user agent (web browser) presents this cookie to a user, the cookie's purpose will be described by the information at this URL.
    `void` | `setDiscard(boolean discard)` Set the Discard attribute.
    `void` | `setPorts(int[] ports)` Sets the Port attribute.

    - ### Methods inherited from class org.apache.http.impl.cookie.BasicClientCookie

      `containsAttribute, getAttribute, getComment, getCreationDate, getDomain, getExpiryDate, getName, getPath, getValue, getVersion, isSecure, removeAttribute, setAttribute, setComment, setCreationDate, setDomain, setExpiryDate, setPath, setSecure, setValue, setVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.cookie.SetCookie

      `setComment, setDomain, setExpiryDate, setPath, setSecure, setValue, setVersion`

    - ### Methods inherited from interface org.apache.http.cookie.Cookie

      `getComment, getDomain, getExpiryDate, getName, getPath, getValue, getVersion, isSecure`

- - ### Constructor Detail

    - #### BasicClientCookie2

          public BasicClientCookie2(String name,
                            String value)

      Default Constructor taking a name and a value. The value may be null.
      Parameters:
        `name` - The name.
        `value` - The value.

  - ### Method Detail

    - #### getPorts

          public int[] getPorts()

      Description copied from class: `BasicClientCookie`
      Returns null. Cookies prior to RFC2965 do not set this attribute
      Specified by:
        `getPorts` in interface `Cookie`
      Overrides:
        `getPorts` in class `BasicClientCookie`

    - #### setPorts

          public void setPorts(int[] ports)

      Description copied from interface: `SetCookie2`
      Sets the Port attribute. It restricts the ports to which a cookie may be returned in a Cookie request header.
      Specified by:
        `setPorts` in interface `SetCookie2`

    - #### getCommentURL

          public String getCommentURL()

      Description copied from class: `BasicClientCookie`
      Returns null. Cookies prior to RFC2965 do not set this attribute
      Specified by:
        `getCommentURL` in interface `Cookie`
      Overrides:
        `getCommentURL` in class `BasicClientCookie`

    - #### setCommentURL

          public void setCommentURL(String commentURL)

      Description copied from interface: `SetCookie2`
      If a user agent (web browser) presents this cookie to a user, the cookie's purpose will be described by the information at this URL.
      Specified by:
        `setCommentURL` in interface `SetCookie2`

    - #### setDiscard

          public void setDiscard(boolean discard)

      Description copied from interface: `SetCookie2`
      Set the Discard attribute. Note: `Discard` attribute overrides `Max-age`.
      Specified by:
        `setDiscard` in interface `SetCookie2`
      See Also:
        `Cookie.isPersistent()`

    - #### isPersistent

          public boolean isPersistent()

      Description copied from class: `BasicClientCookie`
      Returns `false` if the cookie should be discarded at the end of the "session"; `true` otherwise.
      Specified by:
        `isPersistent` in interface `Cookie`
      Overrides:
        `isPersistent` in class `BasicClientCookie`
      Returns:
        `false` if the cookie should be discarded at the end of the "session"; `true` otherwise

    - #### isExpired

          public boolean isExpired(Date date)

      Description copied from class: `BasicClientCookie`
      Returns true if this cookie has expired.
      Specified by:
        `isExpired` in interface `Cookie`
      Overrides:
        `isExpired` in class `BasicClientCookie`
      Parameters:
        `date` - Current time
      Returns:
        `true` if the cookie has expired.

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      Overrides:
        `clone` in class `BasicClientCookie`
      Throws:
        `CloneNotSupportedException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.